Bug 705448 - CVE-2011-1407 CVE-2011-1764 exim various flaws [epel-6]
Summary: CVE-2011-1407 CVE-2011-1764 exim various flaws [epel-6]
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: exim
Version: el6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1764 CVE-2011-1407
TreeView+ depends on / blocked
 
Reported: 2011-05-17 17:54 UTC by Vincent Danen
Modified: 2012-11-14 18:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-11-14 18:28:10 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-05-17 17:54:05 UTC
epel-6 tracking bug for exim: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2011-05-17 17:54:22 UTC
    Adding parent bug CVE-2011-1764
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=705446,702474

Comment 2 Vincent Danen 2012-08-10 18:39:22 UTC
Hi, Mark.

It seems like there was some mis-naming of CVEs when you included exim-4.72-0003-CVE-2011-1407.patch in:

* Wed May 18 2011 Mark Chappell <tremble@tremble.org.uk> 4.72-2

See https://bugzilla.redhat.com/show_bug.cgi?id=702474#c5

It looks like, based on Ubuntu's CVE page, that the actual fix for CVE-2011-1407 is here:

http://git.exim.org/exim.git/blobdiff/337e3505b0e6cd4309db6bf6062b33fa56e06cf8..ae9094bfe313aeb9ffefc7566bd4dae49ada3cf5:/src/src/receive.c

and what you called CVE-2011-1407 actually fixed CVE-2011-1764.

Do you think you could apply the above patch to fix CVE-2011-1407, and that would resolve all outstanding exim flaws?  Thanks!

Comment 3 Vincent Danen 2012-10-26 15:08:21 UTC
Ping?  This has not yet been resolved, but exim has been updated for a new flaw today, and CVE-2011-1407 is still unfixed.

Comment 4 Jaroslav Škarvada 2012-10-26 15:14:12 UTC
Well, in case of no response from Mark, I can check it as a co-maintainer.

Comment 5 Mark Chappell 2012-10-26 16:40:25 UTC
Jaroslav, 

If you have the time to update that would be appreciated, I really have sucked at keeping up with this, work's been insane.


Mark

Comment 6 Jaroslav Škarvada 2012-10-26 18:44:28 UTC
Mark, thanks for info, I will look on it.

Comment 7 Vincent Danen 2012-10-27 06:06:54 UTC
Thank you both, very much, for this.

Comment 8 Fedora Update System 2012-10-28 18:35:37 UTC
exim-4.72-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/exim-4.72-4.el6

Comment 9 Fedora Update System 2012-10-29 18:40:00 UTC
Package exim-4.72-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing exim-4.72-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13339/exim-4.72-4.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-11-14 18:28:13 UTC
exim-4.72-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.